import { $ } from '../Class/$';
import { $Component } from '../types/interface/async/$Component';
import { WP } from '../types/interface/WP';
export declare function $refChildContainer(component: WP & $, { at, _ }: {
    at: number;
    _: string[];
}): $Component;
export declare function $refParentRootContainer(component: WP & $, { at, _ }: {
    at: number;
    _: string[];
}): $Component;
export declare function $refParentChildContainer(component: WP & $, { at, _ }: {
    at: number;
    _: string[];
}): $Component;
